import { IJenkinsAction } from './jenkins-api-ts-typings';
export declare class JenkinsAction implements IJenkinsAction {
    jsonData: JSON;
    _class: string;
    data: Map<string, any>;
    protected readonly timeInQueueClassName: string;
    constructor();
    getJsonData(): string;
    isClass(className: string): boolean;
    isTimeInQueueActionClass(): boolean;
    has(keyName: string): boolean;
    get(keyName: string): any;
    fromJsonString(json: string): void;
    fromJson(data: JSON): void;
}
